org.apache.commons.compress.harmony.pack200

## Class Pack200Adapter

- java.lang.Object
- - org.apache.commons.compress.harmony.pack200.Pack200Adapter

- Direct Known Subclasses:
    Pack200PackerAdapter, Pack200UnpackerAdapter

      public abstract class Pack200Adapter
      extends Object

  Provides generic JavaBeans support for the Pack/UnpackAdapters

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `DEFAULT_BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pack200Adapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)`
    `protected void` | `completed(double value)` Completion between 0..1.
    `protected void` | `firePropertyChange(String propertyName, Object oldValue, Object newValue)`
    `SortedMap<String,String>` | `properties()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_BUFFER_SIZE

          protected static final int DEFAULT_BUFFER_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Pack200Adapter

          public Pack200Adapter()

  - ### Method Detail

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

    - #### completed

          protected void completed(double value)

      Completion between 0..1.
      Parameters:
        `value` - Completion between 0..1.

    - #### firePropertyChange

          protected void firePropertyChange(String propertyName,
                                            Object oldValue,
                                            Object newValue)

    - #### properties

          public SortedMap<String,String> properties()

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.